%define source  1.3-31

Summary:     Linux system and kernel logger
Summary(de): Linux-System- und Kerner-Logger
Summary(fr): Le systme Linux et le logger du noyau
Summary(tr): Linux sistem ve ekirdek kayt sreci
Name:        sysklogd
Version:     1.3.31
Release:     3
Serial:      4
Source0:     ftp://sunsite.unc.edu/pub/Linux/system/daemons/%{name}-%{source}.tar.gz
Source1:     syslog.conf.rhs
Source2:     syslog.init
Source3:     syslog.log
Patch0:      sysklogd-1.3-31-version.patch
Patch1:      sysklogd-1.3-alpha.patch
Patch2:      sysklogd-1.3-utmp-process.patch
Patch3:      sysklogd-1.3-sparc.patch
Patch4:      sysklogd-1.3-alphafoo.patch
Patch5:      sysklogd-1.3-megaloman.patch
Copyright:   GPL
Group:       Daemons
Prereq:      fileutils, /sbin/chkconfig
Requires:    logrotate
BuildRoot:   /tmp/%{name}-%{version}-root

%description
This is the Linux system and kernel logging program. It is run
as a daemon (background process) to log messages to different
places. These are usually things like sendmail logs, security
logs, and errors from other daemons.

%description -l de
Dies ist das Linux-System- und Kernel-Protokollierprogramm.
Es wird als Dmon (Hintergrundproze) ausgefhrt und protokolliert
verschiedene Meldungen. Es protokolliert z.B. sendmail- und
Sicherheits-Protokolle und Fehler von anderen Dmonen.

%description -l fr
Programme de trace du sytme Linux et du noyau. Il est lanc
en dmon (processus en arrire plan) pour stocker les messages
 diffrents endroits. Ce sont gnralement des choses comme les
traces de sendmail, de scurit et d'erreurs d'autres dmons. I

%description -l tr
Bu paket, Linux sistemi ve ekirdei iin kayt tutan program ierir. Deiik
yerlerde mesajlarn kaytlarn tutmak in arkaplanda koturulur. Bu mesajlar,
sendmail, gvenlik ve dier sunucu srelerinin hatalaryla ilgili mesajlardr.

%prep
%setup -q -n %{name}-%{source}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d}
install -d $RPM_BUILD_ROOT/usr/{man/man5,man/man8,sbin}
make BINDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/usr/man install
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/syslog.conf
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/syslog
 
strip $RPM_BUILD_ROOT/usr/sbin/* ||

%post
for n in /var/log/{messages,secure,maillog,spooler}
do
        [ -f $n ] && continue
        touch $n
        chmod 600 $n
done
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc debian/changelog ANNOUNCE README* NEWS INSTALL Sysklogd-1.3.lsm
%config /etc/syslog.conf
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
/usr/sbin/*
/usr/man/*/*

%changelog
* Thu Mar 11 1999 Peter Hanecak <hanecak@megaloman.com>
  [1.3.31-3]
- changes to allow non-root users to build package too

* Wed Mar 03 1999 Arne Coucheron <arneco@online.no>
  [1.3.31-2]
- added some patches from the RH made rpm

* Tue Jan 26 1999 Arne Coucheron <arneco@online.no>
  [1.3.31-1]

* Fri Oct 23 1998 Arne Coucheron <arneco@online.no>
  [1.3.30-1]

* Fri Oct 16 1998 Arne Coucheron <arneco@online.no>
  [1.3.28-1]
- using %defattr
- added language translations
- added patch to correct version number
- some cosmetic changes in the spec file

* Sun May 03 1998 Arne Coucheron <arneco@online.no>
  [1.3.26-1]
- changed package version to 1.3.26 instead of 1.3-26
- removed some older changelogs
- added a serial tag